Typedefs | Functions

# crc64.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _CRC64Info | CRC64Info
## Functions
WizardExport CRC64Info * | AcquireCRC64Info (void)
WizardExport CRC64Info ** | DestroyCRC64Info (CRC64Info *)
WizardExport const StringInfo * | GetCRC64Digest (const CRC64Info *)
WizardExport unsigned int | GetCRC64Blocksize (const CRC64Info *)
WizardExport unsigned int | GetCRC64Digestsize (const CRC64Info *)
WizardExport void | InitializeCRC64 (CRC64Info *)
WizardExport void | FinalizeCRC64 (CRC64Info *)
WizardExport void | UpdateCRC64 (CRC64Info *, const StringInfo *)
WizardExport WizardSizeType | GetCRC64CyclicRedundancyCheck (const CRC64Info *)

## Typedef Documentation

typedef struct _CRC64Info CRC64Info

## Function Documentation

WizardExport CRC64Info* AcquireCRC64Info | ( | void |  | ) |

WizardExport CRC64Info* * DestroyCRC64Info | ( | CRC64Info * |  | ) |

References _CRC64Info::crc_xor, DestroyStringInfo(), _CRC64Info::digest, GetWizardModule, LogWizardEvent(), RelinquishWizardMemory(), _CRC64Info::signature, TraceEvent, and WizardSignature.

Referenced by DestroyHashInfo(), and GetStringInfoCRC().

WizardExport void FinalizeCRC64 | ( | CRC64Info * |  | ) |

WizardExport unsigned int GetCRC64Blocksize | ( | const CRC64Info * |  | ) |

WizardExport WizardSizeType GetCRC64CyclicRedundancyCheck | ( | const CRC64Info * |  | ) |

References CipherDomain, _CRC64Info::crc, GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by GetStringInfoCRC().

WizardExport const StringInfo* GetCRC64Digest | ( | const CRC64Info * |  | ) |

References _CRC64Info::digest, GetWizardModule, HashDomain, LogWizardEvent(), _CRC64Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by FinalizeHash().

WizardExport unsigned int GetCRC64Digestsize | ( | const CRC64Info * |  | ) |

References CipherDomain, _CRC64Info::digestsize, GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, WizardAssert, and WizardSignature.

Referenced by AcquireHashInfo(), and GetHashDigestsize().

WizardExport void InitializeCRC64 | ( | CRC64Info * |  | ) |

WizardExport void UpdateCRC64 | ( | CRC64Info * | ,
|  | const StringInfo * |  |
| ) |  |  |

References _CRC64Info::crc, _CRC64Info::crc_xor, GetStringInfoDatum(), GetStringInfoLength(), GetWizardModule, LogWizardEvent(), _CRC64Info::signature, TraceEvent, and WizardSignature.

Referenced by GetStringInfoCRC(), and UpdateHash().